[CP2K-user] "Non-zero exit code detected." when compile cp2k 7.1

Jiayu Sun SLE sunjia... at gmail.com
Fri Jun 12 13:01:19 UTC 2020


Hi Anton

Thank you for you kindly help. I haven't run the install_requirements.sh 
first. After running it, the screen printed:


Selecting previously unselected package libopts25:amd64.
(Reading database ... 186821 files and directories currently installed.)
Preparing to unpack .../00-libopts25_1%3a5.18.16-3_amd64.deb ...
Unpacking libopts25:amd64 (1:5.18.16-3) ...
Selecting previously unselected package libopts25-dev:amd64.
Preparing to unpack .../01-libopts25-dev_1%3a5.18.16-3_amd64.deb ...
Unpacking libopts25-dev:amd64 (1:5.18.16-3) ...
Selecting previously unselected package autogen.
Preparing to unpack .../02-autogen_1%3a5.18.16-3_amd64.deb ...
Unpacking autogen (1:5.18.16-3) ...
Replaced by files in installed package libopts25-dev:amd64 (1:5.18.16-3) ...
Selecting previously unselected package liberror-perl.
Preparing to unpack .../03-liberror-perl_0.17029-1_all.deb ...
Unpacking liberror-perl (0.17029-1) ...
Selecting previously unselected package git-man.
Preparing to unpack .../04-git-man_1%3a2.25.1-1ubuntu3_all.deb ...
Unpacking git-man (1:2.25.1-1ubuntu3) ...
Selecting previously unselected package git.
Preparing to unpack .../05-git_1%3a2.25.1-1ubuntu3_amd64.deb ...
Unpacking git (1:2.25.1-1ubuntu3) ...
Selecting previously unselected package libblas3:amd64.
Preparing to unpack .../06-libblas3_3.9.0-1build1_amd64.deb ...
Unpacking libblas3:amd64 (3.9.0-1build1) ...
Selecting previously unselected package liblapack3:amd64.
Preparing to unpack .../07-liblapack3_3.9.0-1build1_amd64.deb ...
Unpacking liblapack3:amd64 (3.9.0-1build1) ...
Selecting previously unselected package make.
Preparing to unpack .../08-make_4.2.1-1.2_amd64.deb ...
Unpacking make (4.2.1-1.2) ...
Selecting previously unselected package python-pkg-resources.
Preparing to unpack .../09-python-pkg-resources_44.0.0-2_all.deb ...
Unpacking python-pkg-resources (44.0.0-2) ...
Selecting previously unselected package python-numpy.
Preparing to unpack .../10-python-numpy_1%3a1.16.5-2ubuntu7_amd64.deb ...
Unpacking python-numpy (1:1.16.5-2ubuntu7) ...
Selecting previously unselected package zlib1g-dev:amd64.
Preparing to unpack .../11-zlib1g-dev_1%3a1.2.11.dfsg-2ubuntu1_amd64.deb ...
Unpacking zlib1g-dev:amd64 (1:1.2.11.dfsg-2ubuntu1) ...
Setting up python-pkg-resources (44.0.0-2) ...
Setting up libopts25:amd64 (1:5.18.16-3) ...
Setting up liberror-perl (0.17029-1) ...
Setting up libblas3:amd64 (3.9.0-1build1) ...
update-alternatives: using /usr/lib/x86_64-linux-gnu/blas/libblas.so.3 to 
provide /usr/lib/x86_64-linux-gnu/libblas.so.3 
(libblas.so.3-x86_64-linux-gnu) in auto mode
Setting up make (4.2.1-1.2) ...
Setting up zlib1g-dev:amd64 (1:1.2.11.dfsg-2ubuntu1) ...
Setting up git-man (1:2.25.1-1ubuntu3) ...
Setting up liblapack3:amd64 (3.9.0-1build1) ...
update-alternatives: using /usr/lib/x86_64-linux-gnu/lapack/liblapack.so.3 
to provide /usr/lib/x86_64-linux-gnu/liblapack.so.3 
(liblapack.so.3-x86_64-linux-gnu) in auto mode
Setting up python-numpy (1:1.16.5-2ubuntu7) ...
Setting up libopts25-dev:amd64 (1:5.18.16-3) ...
Setting up autogen (1:5.18.16-3) ...
Setting up git (1:2.25.1-1ubuntu3) ...
Processing triggers for libc-bin (2.31-0ubuntu9) ...
Processing triggers for man-db (2.9.1-1) ...
Processing triggers for install-info (6.7.0.dfsg.2-5) ...

I cannot figure out what I should do next, what's the meaning of these 
codes?
Does this message show the missing package I should install but not yet?

Thank you so much.
SUN

在 2020年6月11日星期四 UTC+9下午12:08:21,Jiayu Sun SLE写道:
>
> Hi, everyone,
> I have tried compiled the cp2k 7.1 version from toolchain script, the *sh 
> file, and using the OpenBLAS 0.3.6, the error message are listed below:
>
> ==================== Installing OpenBLAS ====================
> OpenBLAS-0.3.6.tar.gz is found
> Installing from scratch into 
> /home/jiayusun/Downloads/cp2k-7.1/tools/toolchain/install/openblas-0.3.6
> patching file kernel/x86_64/KERNEL.SKYLAKEX
> ERROR: 
> (/home/jiayusun/Downloads/cp2k-7.1/tools/toolchain/scripts/install_openblas.sh, 
> line 72) Non-zero exit code detected.
> ERROR: (./scripts/install_mathlibs.sh, line 34) Non-zero exit code 
> detected.
>
>
> How can I do this in this case?
> What the meaning of this sentence: "Non-zero exit code detected." When I 
> compile other packages, this error occurs again, almost all the packages 
> are facing the same problem.
>
> Thank you for your help or advice.
>
> Sincerely
>
-------------- next part --------------
An HTML attachment was scrubbed...
URL: <https://lists.cp2k.org/archives/cp2k-user/attachments/20200612/43973b3b/attachment.html>


More information about the CP2K-user mailing list